Auth
Sign in
Exchange credentials for a token pair.
Request Body
application/json
email*string
Format
emailpassword*string
Length
1 <= length <= 128Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/auth/login" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "password": "string" }'{ "data": { "tokens": { "access_token": "string", "expires_at": "2019-08-24T14:15:22Z", "expires_in": 0, "refresh_token": "string", "token_type": "bearer" }, "user": { "active_merchant": { "category": "string", "city": "string", "currency": "string", "data_source": "SEEDED", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_demo": false, "logo_url": "string", "name": "string", "slug": "string" }, "memberships": [ { "is_default": false, "joined_at": "2019-08-24T14:15:22Z", "merchant": { "category": "string", "city": "string", "currency": "string", "data_source": "SEEDED", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_demo": false, "logo_url": "string", "name": "string", "slug": "string" }, "role": "string", "status": "string" } ], "permissions": [ "string" ], "role": "string", "user": { "avatar_url": "string", "created_at": "2019-08-24T14:15:22Z", "email": "user@example.com", "email_verified": false, "full_name": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_login_at": "2019-08-24T14:15:22Z", "phone": "string", "status": "string" } } }, "meta": {}, "success": true}